# RoleService

Package io.milvus.v2.service.rbac

## Class RoleService

- java.lang.Object
- - io.milvus.v2.service.BaseService
  - - io.milvus.v2.service.rbac.RoleService

    public class RoleService
    extends BaseService

### Field Summary

### Fields inherited from class io.milvus.v2.service.BaseService

`convertUtils, dataUtils, rpcUtils, vectorUtils`

### Constructor Summary

Constructors
`RoleService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createRole​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, CreateRoleReq request)`
`DescribeRoleResp` `describeRole​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DescribeRoleReq request)`
`void` `dropRole​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DropRoleReq request)`
`void` `grantPrivilege​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, GrantPrivilegeReq request)`
`void` `grantRole​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, GrantRoleReq request)`
`java.util.List<java.lang.String>` `listRoles​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub)`
`void` `revokePrivilege​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, RevokePrivilegeReq request)`
`void` `revokeRole​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, RevokeRoleReq request)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RoleService

    public RoleService()

### Method Detail

#### listRoles

    public java.util.List<java.lang.String> listRoles​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub)

#### createRole

    public void createRole​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                           CreateRoleReq request)

#### describeRole

    public DescribeRoleResp describeRole​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                         DescribeRoleReq request)

#### dropRole

    public void dropRole​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                         DropRoleReq request)

#### grantPrivilege

    public void grantPrivilege​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                               GrantPrivilegeReq request)

#### revokePrivilege

    public void revokePrivilege​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                RevokePrivilegeReq request)

#### grantRole

    public void grantRole​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                          GrantRoleReq request)

#### revokeRole

    public void revokeRole​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                           RevokeRoleReq request)